<?php


namespace App\Http\Bean\Admin;


/**
 * @SWG\Definition(
 * )
 */
class GetAuthListResultBean
{
    /**
     * @SWG\Property(
     *     description="权限名称"
     * )
     * @var string
     */
    private $ruleTitle;

    /**
     * @SWG\Property(
     *     description="权限路径"
     * )
     * @var string
     */
    private $ruleUrl;

    /**
     * @SWG\Property(
     *     description="权限类型(0菜单权限1功能权限)"
     * )
     * @var string
     */
    private $ruleType;

    /**
     * @SWG\Property(
     *     description="上级ID"
     * )
     * @var string
     */
    private $rulePid;

    /**
     * @SWG\Property(
     *     description="合伙人数据",
     *     @SWG\Items(
     *          @SWG\Property(
     *              property="id",
     *              type="string",
     *              description="ID"
     *          ),
     *          @SWG\Property(
     *              property="ruleTitle",
     *              type="string",
     *              description="权限名称"
     *          ),
     *          @SWG\Property(
     *              property="ruleUrl",
     *              type="string",
     *              description="权限路径"
     *          ),
     *          @SWG\Property(
     *              property="ruleType",
     *              type="string",
     *              description="权限类型(0菜单权限1功能权限)"
     *          ),
     *          @SWG\Property(
     *              property="rulePid",
     *              type="string",
     *              description="上级ID"
     *          ),
     *          @SWG\Property(
     *              property="son",
     *              type="string",
     *              description="子权限"
     *          )
     *     )
     * )
     * @var array
     */
    private $son;
}